### Method

# Gimp Vector2 normal_val

since: 2.8

#### Declaration [src]

    GimpVector2
    gimp_vector2_normal_val (
      GimpVector2 vector
    )

#### Description [src]

Identical to `gimp_vector2_normal()`, but the vector is passed by value rather than by reference.

Available since: 2.8

#### Return value

Type: `GimpVector2`

A `GimpVector2` perpendicular to `vector`, with a length of 1.0.